Bug 176055

Summary: [patch] editors/emacs: no sound support
Product: Ports & Packages Reporter: Zeus Panchenko <zeus>
Component: Individual Port(s)Assignee: Ashish SHUKLA <ashish>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Zeus Panchenko 2013-02-12 08:50:01 UTC
ports/emacs while beed built with
OPTIONS_FILE_UNSET+=CANNA
OPTIONS_FILE_SET+=DBUS
OPTIONS_FILE_SET+=GCONF
OPTIONS_FILE_SET+=GIF
OPTIONS_FILE_SET+=GNUTLS
OPTIONS_FILE_UNSET+=GSETTINGS
OPTIONS_FILE_SET+=JPEG
OPTIONS_FILE_SET+=M17N
OPTIONS_FILE_SET+=MAGICK
OPTIONS_FILE_SET+=OTF
OPTIONS_FILE_SET+=PNG
OPTIONS_FILE_SET+=SCROLLBARS
OPTIONS_FILE_SET+=SOUND
OPTIONS_FILE_SET+=SOURCES
OPTIONS_FILE_UNSET+=SVG
OPTIONS_FILE_SET+=SYNC_INPUT
OPTIONS_FILE_UNSET+=TIFF
OPTIONS_FILE_SET+=XFT
OPTIONS_FILE_SET+=XIM
OPTIONS_FILE_SET+=XML
OPTIONS_FILE_SET+=XPM
OPTIONS_FILE_SET+=GTK2
OPTIONS_FILE_UNSET+=GTK3
OPTIONS_FILE_UNSET+=XAW
OPTIONS_FILE_UNSET+=XAW3D
OPTIONS_FILE_UNSET+=MOTIF

exposes lack of the sound support
while trying to play sound with `(play-sound-file "/path/to/file.wav")'
emacs complains with:
"This Emacs binary lacks sound support"

Fix: this patch from dumbbell@ fixes the problem (amended patch-configure is attached):

--- patch-configure.orig	2013-02-02 09:50:49.669553126 +0200
+++ patch-configure	2013-02-11 16:18:07.253422611 +0200
@@ -1,9 +1,6 @@
-
-$FreeBSD: head/editors/emacs/files/patch-configure 301832 2012-08-01 15:20:25Z ashish $
-
---- configure.orig
-+++ configure
-@@ -8276,177 +8276,13 @@
+--- configure.orig	2012-08-23 08:37:10.000000000 +0200
++++ configure	2013-02-11 14:56:53.783037554 +0100
+@@ -8283,159 +8283,6 @@
    LIBSOUND=
  fi
  
@@ -160,20 +157,10 @@
 -
 -  fi
 -
--        if test x$have_sound_header = xyes || test $HAVE_ALSA = yes; then
--     case "$opsys" in
--              gnu-linux|freebsd|netbsd)
--
--$as_echo "#define HAVE_SOUND 1" >>confdefs.h
--
--         ;;
--     esac
--  fi
--
--
- fi
- 
- for ac_header in sys/select.h sys/time.h unistd.h utime.h \
+         if test x$have_sound_header = xyes || test $HAVE_ALSA = yes; then
+      case "$opsys" in
+               gnu-linux|freebsd|netbsd)
+@@ -8453,7 +8300,7 @@
    linux/version.h sys/systeminfo.h \
    stdio_ext.h fcntl.h coff.h pty.h sys/mman.h \
    sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \

Patch attached with submission follows:
How-To-Repeat: just to build it and to try to play any sound file
Comment 1 Edwin Groothuis freebsd_committer 2013-02-13 04:35:47 UTC
Responsible Changed
From-To: freebsd-bugs->ashish

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ashish SHUKLA freebsd_committer 2013-02-13 13:43:08 UTC
Hi,

Thanks for the diff. I'll go through it by this weekend.

-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
Sent from my Emacs
Comment 3 dfilter service freebsd_committer 2013-02-17 09:17:49 UTC
Author: ashish
Date: Sun Feb 17 09:17:41 2013
New Revision: 312406
URL: http://svnweb.freebsd.org/changeset/ports/312406

Log:
  - Fix SOUND support[1]
  - Make GSETTINGS option depend on DBUS option, as GSettings requires
    DBus to be functional[2]
  - Remove ABI versions from LIB_DEPENDS
  
  PR:		ports/176055[1], ports/175990[2]
  Submitted by:	Zeus Panchenko <zeus.panchenko at gmail.com>[1],
  		Fabian Keil <fk at fabiankeil.de>[2]

Modified:
  head/editors/emacs/Makefile
  head/editors/emacs/files/patch-configure

Modified: head/editors/emacs/Makefile
==============================================================================
--- head/editors/emacs/Makefile	Sun Feb 17 08:43:16 2013	(r312405)
+++ head/editors/emacs/Makefile	Sun Feb 17 09:17:41 2013	(r312406)
@@ -60,7 +60,7 @@ OPTIONS_DEFINE=	CANNA DBUS GCONF GIF JPE
 OPTIONS_SINGLE=	X11TOOLKIT
 
 CANNA_DESC=		Canna support
-GSETTINGS_DESC=		GSettings support
+GSETTINGS_DESC=		GSettings support (requires DBUS)
 SCROLLBARS_DESC=	Toolkit scroll-bars
 SOUND_DESC=		Sound support
 SOURCES_DESC=		Install sources
@@ -89,7 +89,7 @@ PATCH_DIST_STRIP=	-p1
 CONFIGURE_ARGS+=	--with-canna \
 			--with-canna-includes=${LOCALBASE}/include \
 			--with-canna-libraries=${LOCALBASE}/lib
-LIB_DEPENDS+=		canna.1:${PORTSDIR}/japanese/canna-lib
+LIB_DEPENDS+=		canna:${PORTSDIR}/japanese/canna-lib
 .endif
 
 .if defined(WITHOUT_X11)
@@ -111,7 +111,7 @@ CONFIGURE_ARGS+=	--with-x-toolkit=gtk
 USE_GNOME+=	gtk30
 CONFIGURE_ARGS+=	--with-x-toolkit=gtk3
 .elif ${PORT_OPTIONS:MXAW3D}
-LIB_DEPENDS+=	Xaw3d.${XAWVER}:${PORTSDIR}/x11-toolkits/Xaw3d
+LIB_DEPENDS+=	Xaw3d:${PORTSDIR}/x11-toolkits/Xaw3d
 CONFIGURE_ARGS+=	--with-x-toolkit=athena
 .elif ${PORT_OPTIONS:MXAW}
 USE_XORG=	xaw
@@ -130,19 +130,19 @@ CONFIGURE_ARGS+=	--without-sync-input
 .endif
 
 .if ${PORT_OPTIONS:MJPEG}
-LIB_DEPENDS+=	jpeg.11:${PORTSDIR}/graphics/jpeg
+LIB_DEPENDS+=	jpeg:${PORTSDIR}/graphics/jpeg
 .else
 CONFIGURE_ARGS+=	--without-jpeg
 .endif
 
 .if ${PORT_OPTIONS:MTIFF}
-LIB_DEPENDS+=	tiff.4:${PORTSDIR}/graphics/tiff
+LIB_DEPENDS+=	tiff:${PORTSDIR}/graphics/tiff
 .else
 CONFIGURE_ARGS+=	--without-tiff
 .endif
 
 .if ${PORT_OPTIONS:MGIF}
-LIB_DEPENDS+=   gif.5:${PORTSDIR}/graphics/giflib
+LIB_DEPENDS+=   gif:${PORTSDIR}/graphics/giflib
 .else
 CONFIGURE_ARGS+=	--without-gif
 .endif
@@ -161,17 +161,17 @@ CONFIGURE_ARGS+=	--without-xpm
 
 .if ${PORT_OPTIONS:MXFT}
 USE_XORG+=	xft
-LIB_DEPENDS+=	freetype.9:${PORTSDIR}/print/freetype2
+LIB_DEPENDS+=	freetype:${PORTSDIR}/print/freetype2
 CONFIGURE_ARGS+=	--with-xft
 .if ${PORT_OPTIONS:MM17N}
 CONFIGURE_ARGS+=	--with-m17n-flt
-LIB_DEPENDS+=	m17n.4:${PORTSDIR}/devel/m17n-lib
+LIB_DEPENDS+=	m17n:${PORTSDIR}/devel/m17n-lib
 .else
 CONFIGURE_ARGS+=	--without-m17n-flt
 .endif
 .if ${PORT_OPTIONS:MOTF}
 CONFIGURE_ARGS+=	--with-otf
-LIB_DEPENDS+=	otf.0:${PORTSDIR}/print/libotf
+LIB_DEPENDS+=	otf:${PORTSDIR}/print/libotf
 .else
 CONFIGURE_ARGS+=	--without-libotf
 .endif
@@ -221,10 +221,13 @@ CONFIGURE_ARGS+=	--without-sound
 .endif
 
 .if ${PORT_OPTIONS:MDBUS}
-LIB_DEPENDS+=	dbus-1.3:${PORTSDIR}/devel/dbus
+LIB_DEPENDS+=	dbus-1:${PORTSDIR}/devel/dbus
 CONFIGURE_ARGS+=	--with-dbus
 .else
 CONFIGURE_ARGS+=	--without-dbus
+.if ${PORT_OPTIONS:MGSETTINGS}
+IGNORE=	GSettings support requires DBUS. Please run 'make config'
+.endif
 .endif
 
 .if ${PORT_OPTIONS:MXML}
@@ -235,7 +238,7 @@ CONFIGURE_ARGS+=	--without-xml2
 .endif
 
 .if ${PORT_OPTIONS:MGNUTLS}
-LIB_DEPENDS+=		gnutls.26:${PORTSDIR}/security/gnutls
+LIB_DEPENDS+=		gnutls:${PORTSDIR}/security/gnutls
 CONFIGURE_ARGS+=	--with-gnutls
 .else
 CONFIGURE_ARGS+=	--without-gnutls

Modified: head/editors/emacs/files/patch-configure
==============================================================================
--- head/editors/emacs/files/patch-configure	Sun Feb 17 08:43:16 2013	(r312405)
+++ head/editors/emacs/files/patch-configure	Sun Feb 17 09:17:41 2013	(r312406)
@@ -3,7 +3,7 @@ $FreeBSD$
 
 --- configure.orig
 +++ configure
-@@ -8276,177 +8276,13 @@
+@@ -8283,159 +8283,6 @@
    LIBSOUND=
  fi
  
@@ -160,20 +160,10 @@ $FreeBSD$
 -
 -  fi
 -
--        if test x$have_sound_header = xyes || test $HAVE_ALSA = yes; then
--     case "$opsys" in
--              gnu-linux|freebsd|netbsd)
--
--$as_echo "#define HAVE_SOUND 1" >>confdefs.h
--
--         ;;
--     esac
--  fi
--
--
- fi
- 
- for ac_header in sys/select.h sys/time.h unistd.h utime.h \
+         if test x$have_sound_header = xyes || test $HAVE_ALSA = yes; then
+      case "$opsys" in
+               gnu-linux|freebsd|netbsd)
+@@ -8453,7 +8300,7 @@
    linux/version.h sys/systeminfo.h \
    stdio_ext.h fcntl.h coff.h pty.h sys/mman.h \
    sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ashish SHUKLA freebsd_committer 2013-02-17 09:27:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!